#!/bin/sh
( cd usr/lib ; rm -rf libfontconfig.so.1 )
( cd usr/lib ; ln -sf libfontconfig.so.1.2.0 libfontconfig.so.1 )
( cd usr/lib ; rm -rf libfontconfig.so )
( cd usr/lib ; ln -sf libfontconfig.so.1.2.0 libfontconfig.so )
( cd etc/fonts/conf.d ; rm -rf 20-fix-globaladvance.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/20-fix-globaladvance.conf 20-fix-globaladvance.conf )
( cd etc/fonts/conf.d ; rm -rf 20-lohit-gujarati.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/20-lohit-gujarati.conf 20-lohit-gujarati.conf )
( cd etc/fonts/conf.d ; rm -rf 20-unhint-small-vera.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/20-unhint-small-vera.conf 20-unhint-small-vera.conf )
( cd etc/fonts/conf.d ; rm -rf 30-amt-aliases.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/30-amt-aliases.conf 30-amt-aliases.conf )
( cd etc/fonts/conf.d ; rm -rf 30-urw-aliases.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/30-urw-aliases.conf 30-urw-aliases.conf )
( cd etc/fonts/conf.d ; rm -rf 40-generic.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/40-generic.conf 40-generic.conf )
( cd etc/fonts/conf.d ; rm -rf 49-sansserif.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/49-sansserif.conf 49-sansserif.conf )
( cd etc/fonts/conf.d ; rm -rf 50-user.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/50-user.conf 50-user.conf )
( cd etc/fonts/conf.d ; rm -rf 51-local.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/51-local.conf 51-local.conf )
( cd etc/fonts/conf.d ; rm -rf 60-latin.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/60-latin.conf 60-latin.conf )
( cd etc/fonts/conf.d ; rm -rf 65-fonts-persian.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/65-fonts-persian.conf 65-fonts-persian.conf )
( cd etc/fonts/conf.d ; rm -rf 65-nonlatin.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/65-nonlatin.conf 65-nonlatin.conf )
( cd etc/fonts/conf.d ; rm -rf 69-unifont.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/69-unifont.conf 69-unifont.conf )
( cd etc/fonts/conf.d ; rm -rf 80-delicious.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/80-delicious.conf 80-delicious.conf )
( cd etc/fonts/conf.d ; rm -rf 90-synthetic.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/90-synthetic.conf 90-synthetic.conf )
( cd etc/fonts/conf.d ; rm -rf 10-autohint.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/10-autohint.conf 10-autohint.conf )
( cd etc/fonts/conf.d ; rm -rf 10-no-sub-pixel.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/10-no-sub-pixel.conf 10-no-sub-pixel.conf )
( cd etc/fonts/conf.d ; rm -rf 10-sub-pixel-bgr.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/10-sub-pixel-bgr.conf 10-sub-pixel-bgr.conf )
( cd etc/fonts/conf.d ; rm -rf 10-sub-pixel-rgb.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/10-sub-pixel-rgb.conf 10-sub-pixel-rgb.conf )
( cd etc/fonts/conf.d ; rm -rf 10-sub-pixel-vbgr.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/10-sub-pixel-vbgr.conf 10-sub-pixel-vbgr.conf )
( cd etc/fonts/conf.d ; rm -rf 10-sub-pixel-vrgb.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/10-sub-pixel-vrgb.conf 10-sub-pixel-vrgb.conf )
( cd etc/fonts/conf.d ; rm -rf 10-unhinted.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/10-unhinted.conf 10-unhinted.conf )
( cd etc/fonts/conf.d ; rm -rf 70-no-bitmaps.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/70-no-bitmaps.conf 70-no-bitmaps.conf )
( cd etc/fonts/conf.d ; rm -rf 70-yes-bitmaps.conf )
( cd etc/fonts/conf.d ; ln -sf ../conf.avail/70-yes-bitmaps.conf 70-yes-bitmaps.conf )

config() {
 NEW="$1"
 OLD="`dirname $NEW`/`basename $NEW .new`"
 if [ ! -r $OLD ] ; then
  mv $NEW $OLD
  echo ""
  echo "  --> Installed new configuration file $OLD"
 elif [ "`cat $OLD 2> /dev/null | md5sum`" = "`cat $NEW 2> /dev/null | md5sum`" ] ; then
  rm -f $NEW
 else
  echo ""
  echo "  --> Installed new configuration file: $NEW"
  echo "  --> Setting ownership and permissions to match $OLD"
  cp -a $OLD $NEW.incoming
  cat $NEW > $NEW.incoming
  mv $NEW.incoming $NEW
  echo "  --> Preserving your old configuration file: $OLD"
  echo "  Please examine your existing configuration file: $OLD"
  echo "  to see if it needs to be updated from: $NEW"
  echo ""
 fi
}

config etc/fonts/fonts.conf.new

